commit e637a5101e3bb1e0a082aa7d532c253af2263221
Author: Thomas Schöpping <tschoepp@cit-ec.uni-bielefeld.de>
Date:   Tue Oct 15 13:58:10 2019 +0200

    Introduced a number of makefiles for the basic AMiRo-LLD project and each driver separately

diff --git a/amiro-lld.mk b/amiro-lld.mk
new file mode 100644
index 0000000..ea737c3
--- /dev/null
+++ b/amiro-lld.mk
@@ -0,0 +1,36 @@
+################################################################################
+# AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous  #
+# Mini Robot (AMiRo) platform.                                                 #
+# Copyright (C) 2016..2019  Thomas Schöpping et al.                            #
+#                                                                              #
+# This program is free software: you can redistribute it and/or modify         #
+# it under the terms of the GNU General Public License as published by         #
+# the Free Software Foundation, either version 3 of the License, or            #
+# (at your option) any later version.                                          #
+#                                                                              #
+# This program is distributed in the hope that it will be useful,              #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of               #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                #
+# GNU General Public License for more details.                                 #
+#                                                                              #
+# You should have received a copy of the GNU General Public License            #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.        #
+#                                                                              #
+# This research/work was supported by the Cluster of Excellence Cognitive      #
+# Interaction Technology 'CITEC' (EXC 277) at Bielefeld University, which is   #
+# funded by the German Research Foundation (DFG).                              #
+################################################################################
+
+
+
+# path to this directory
+AMIROLLD_DIR := $(dir $(lastword $(MAKEFILE_LIST)))
+
+# set AMiRo-LLD path variable
+AMIROLLD := $(AMIROLLD_DIR:/=)
+
+# include paths
+AMIROLLD_INC += $(AMIROLLD_DIR)
+
+# C source files
+AMIROLLD_CSRC +=
diff --git a/drivers/A3906/v1/alld_A3906.mk b/drivers/A3906/v1/alld_A3906.mk
new file mode 100644
index 0000000..31b7f17
--- /dev/null
+++ b/drivers/A3906/v1/alld_A3906.mk
@@ -0,0 +1,33 @@
+################################################################################
+# AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous  #
+# Mini Robot (AMiRo) platform.                                                 #
+# Copyright (C) 2016..2019  Thomas Schöpping et al.                            #
+#                                                                              #
+# This program is free software: you can redistribute it and/or modify         #
+# it under the terms of the GNU General Public License as published by         #
+# the Free Software Foundation, either version 3 of the License, or            #
+# (at your option) any later version.                                          #
+#                                                                              #
+# This program is distributed in the hope that it will be useful,              #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of               #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                #
+# GNU General Public License for more details.                                 #
+#                                                                              #
+# You should have received a copy of the GNU General Public License            #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.        #
+#                                                                              #
+# This research/work was supported by the Cluster of Excellence Cognitive      #
+# Interaction Technology 'CITEC' (EXC 277) at Bielefeld University, which is   #
+# funded by the German Research Foundation (DFG).                              #
+################################################################################
+
+
+
+# path to this directory
+AMIROLLD_A3906_V1_DIR := $(dir $(lastword $(MAKEFILE_LIST)))
+
+# include paths
+AMIROLLD_INC += $(AMIROLLD_A3906_V1_DIR)
+
+# C source files
+AMIROLLD_CSRC += $(AMIROLLD_A3906_V1_DIR)alld_A3906.c
diff --git a/drivers/AT24C01B/v1/alld_AT24C01B.mk b/drivers/AT24C01B/v1/alld_AT24C01B.mk
new file mode 100644
index 0000000..5f9f83f
--- /dev/null
+++ b/drivers/AT24C01B/v1/alld_AT24C01B.mk
@@ -0,0 +1,33 @@
+################################################################################
+# AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous  #
+# Mini Robot (AMiRo) platform.                                                 #
+# Copyright (C) 2016..2019  Thomas Schöpping et al.                            #
+#                                                                              #
+# This program is free software: you can redistribute it and/or modify         #
+# it under the terms of the GNU General Public License as published by         #
+# the Free Software Foundation, either version 3 of the License, or            #
+# (at your option) any later version.                                          #
+#                                                                              #
+# This program is distributed in the hope that it will be useful,              #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of               #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                #
+# GNU General Public License for more details.                                 #
+#                                                                              #
+# You should have received a copy of the GNU General Public License            #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.        #
+#                                                                              #
+# This research/work was supported by the Cluster of Excellence Cognitive      #
+# Interaction Technology 'CITEC' (EXC 277) at Bielefeld University, which is   #
+# funded by the German Research Foundation (DFG).                              #
+################################################################################
+
+
+
+# path to this directory
+AMIROLLD_AT24C01B_V1_DIR := $(dir $(lastword $(MAKEFILE_LIST)))
+
+# include paths
+AMIROLLD_INC += $(AMIROLLD_AT24C01B_V1_DIR)
+
+# C source files
+AMIROLLD_CSRC += $(AMIROLLD_AT24C01B_V1_DIR)alld_AT24C01B.c
diff --git a/drivers/AT42QT1050/v1/alld_AT42QT1050.mk b/drivers/AT42QT1050/v1/alld_AT42QT1050.mk
new file mode 100644
index 0000000..54de159
--- /dev/null
+++ b/drivers/AT42QT1050/v1/alld_AT42QT1050.mk
@@ -0,0 +1,33 @@
+################################################################################
+# AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous  #
+# Mini Robot (AMiRo) platform.                                                 #
+# Copyright (C) 2016..2019  Thomas Schöpping et al.                            #
+#                                                                              #
+# This program is free software: you can redistribute it and/or modify         #
+# it under the terms of the GNU General Public License as published by         #
+# the Free Software Foundation, either version 3 of the License, or            #
+# (at your option) any later version.                                          #
+#                                                                              #
+# This program is distributed in the hope that it will be useful,              #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of               #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                #
+# GNU General Public License for more details.                                 #
+#                                                                              #
+# You should have received a copy of the GNU General Public License            #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.        #
+#                                                                              #
+# This research/work was supported by the Cluster of Excellence Cognitive      #
+# Interaction Technology 'CITEC' (EXC 277) at Bielefeld University, which is   #
+# funded by the German Research Foundation (DFG).                              #
+################################################################################
+
+
+
+# path to this directory
+AMIROLLD_AT42QT1050_V1_DIR := $(dir $(lastword $(MAKEFILE_LIST)))
+
+# include paths
+AMIROLLD_INC += $(AMIROLLD_AT42QT1050_V1_DIR)
+
+# C source files
+AMIROLLD_CSRC += $(AMIROLLD_AT42QT1050_V1_DIR)alld_AT42QT1050.c
diff --git a/drivers/DW1000/v1/alld_DW1000.mk b/drivers/DW1000/v1/alld_DW1000.mk
new file mode 100644
index 0000000..8ab46e0
--- /dev/null
+++ b/drivers/DW1000/v1/alld_DW1000.mk
@@ -0,0 +1,35 @@
+################################################################################
+# AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous  #
+# Mini Robot (AMiRo) platform.                                                 #
+# Copyright (C) 2016..2019  Thomas Schöpping et al.                            #
+#                                                                              #
+# This program is free software: you can redistribute it and/or modify         #
+# it under the terms of the GNU General Public License as published by         #
+# the Free Software Foundation, either version 3 of the License, or            #
+# (at your option) any later version.                                          #
+#                                                                              #
+# This program is distributed in the hope that it will be useful,              #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of               #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                #
+# GNU General Public License for more details.                                 #
+#                                                                              #
+# You should have received a copy of the GNU General Public License            #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.        #
+#                                                                              #
+# This research/work was supported by the Cluster of Excellence Cognitive      #
+# Interaction Technology 'CITEC' (EXC 277) at Bielefeld University, which is   #
+# funded by the German Research Foundation (DFG).                              #
+################################################################################
+
+
+
+# path to this directory
+AMIROLLD_DW1000_V1_DIR := $(dir $(lastword $(MAKEFILE_LIST)))
+
+# include paths
+AMIROLLD_INC += $(AMIROLLD_DW1000_V1_DIR)
+
+# C source files
+AMIROLLD_CSRC += $(AMIROLLD_DW1000_V1_DIR)alld_DW1000.c \
+                 $(AMIROLLD_DW1000_V1_DIR)deca_instance_common.c \
+                 $(AMIROLLD_DW1000_V1_DIR)deca_instance_tag_anchor.c
diff --git a/drivers/HMC5883L/v1/alld_HMC5883L.mk b/drivers/HMC5883L/v1/alld_HMC5883L.mk
new file mode 100644
index 0000000..01943d8
--- /dev/null
+++ b/drivers/HMC5883L/v1/alld_HMC5883L.mk
@@ -0,0 +1,33 @@
+################################################################################
+# AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous  #
+# Mini Robot (AMiRo) platform.                                                 #
+# Copyright (C) 2016..2019  Thomas Schöpping et al.                            #
+#                                                                              #
+# This program is free software: you can redistribute it and/or modify         #
+# it under the terms of the GNU General Public License as published by         #
+# the Free Software Foundation, either version 3 of the License, or            #
+# (at your option) any later version.                                          #
+#                                                                              #
+# This program is distributed in the hope that it will be useful,              #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of               #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                #
+# GNU General Public License for more details.                                 #
+#                                                                              #
+# You should have received a copy of the GNU General Public License            #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.        #
+#                                                                              #
+# This research/work was supported by the Cluster of Excellence Cognitive      #
+# Interaction Technology 'CITEC' (EXC 277) at Bielefeld University, which is   #
+# funded by the German Research Foundation (DFG).                              #
+################################################################################
+
+
+
+# path to this directory
+AMIROLLD_HMC5883L_V1_DIR := $(dir $(lastword $(MAKEFILE_LIST)))
+
+# include paths
+AMIROLLD_INC += $(AMIROLLD_HMC5883L_V1_DIR)
+
+# C source files
+AMIROLLD_CSRC += $(AMIROLLD_HMC5883L_V1_DIR)alld_HMC5883L.c
diff --git a/drivers/INA219/v1/alld_INA219.mk b/drivers/INA219/v1/alld_INA219.mk
new file mode 100644
index 0000000..390edfa
--- /dev/null
+++ b/drivers/INA219/v1/alld_INA219.mk
@@ -0,0 +1,33 @@
+################################################################################
+# AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous  #
+# Mini Robot (AMiRo) platform.                                                 #
+# Copyright (C) 2016..2019  Thomas Schöpping et al.                            #
+#                                                                              #
+# This program is free software: you can redistribute it and/or modify         #
+# it under the terms of the GNU General Public License as published by         #
+# the Free Software Foundation, either version 3 of the License, or            #
+# (at your option) any later version.                                          #
+#                                                                              #
+# This program is distributed in the hope that it will be useful,              #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of               #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                #
+# GNU General Public License for more details.                                 #
+#                                                                              #
+# You should have received a copy of the GNU General Public License            #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.        #
+#                                                                              #
+# This research/work was supported by the Cluster of Excellence Cognitive      #
+# Interaction Technology 'CITEC' (EXC 277) at Bielefeld University, which is   #
+# funded by the German Research Foundation (DFG).                              #
+################################################################################
+
+
+
+# path to this directory
+AMIROLLD_INA219_V1_DIR := $(dir $(lastword $(MAKEFILE_LIST)))
+
+# include paths
+AMIROLLD_INC += $(AMIROLLD_INA219_V1_DIR)
+
+# C source files
+AMIROLLD_CSRC += $(AMIROLLD_INA219_V1_DIR)alld_INA219.c
diff --git a/drivers/L3G4200D/v1/alld_L3G4200D.mk b/drivers/L3G4200D/v1/alld_L3G4200D.mk
new file mode 100644
index 0000000..0e011aa
--- /dev/null
+++ b/drivers/L3G4200D/v1/alld_L3G4200D.mk
@@ -0,0 +1,33 @@
+################################################################################
+# AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous  #
+# Mini Robot (AMiRo) platform.                                                 #
+# Copyright (C) 2016..2019  Thomas Schöpping et al.                            #
+#                                                                              #
+# This program is free software: you can redistribute it and/or modify         #
+# it under the terms of the GNU General Public License as published by         #
+# the Free Software Foundation, either version 3 of the License, or            #
+# (at your option) any later version.                                          #
+#                                                                              #
+# This program is distributed in the hope that it will be useful,              #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of               #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                #
+# GNU General Public License for more details.                                 #
+#                                                                              #
+# You should have received a copy of the GNU General Public License            #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.        #
+#                                                                              #
+# This research/work was supported by the Cluster of Excellence Cognitive      #
+# Interaction Technology 'CITEC' (EXC 277) at Bielefeld University, which is   #
+# funded by the German Research Foundation (DFG).                              #
+################################################################################
+
+
+
+# path to this directory
+AMIROLLD_L3G4200D_V1_DIR := $(dir $(lastword $(MAKEFILE_LIST)))
+
+# include paths
+AMIROLLD_INC += $(AMIROLLD_L3G4200D_V1_DIR)
+
+# C source files
+AMIROLLD_CSRC += $(AMIROLLD_L3G4200D_V1_DIR)alld_L3G4200D.c
diff --git a/drivers/LED/v1/alld_LED.mk b/drivers/LED/v1/alld_LED.mk
new file mode 100644
index 0000000..60edc3d
--- /dev/null
+++ b/drivers/LED/v1/alld_LED.mk
@@ -0,0 +1,33 @@
+################################################################################
+# AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous  #
+# Mini Robot (AMiRo) platform.                                                 #
+# Copyright (C) 2016..2019  Thomas Schöpping et al.                            #
+#                                                                              #
+# This program is free software: you can redistribute it and/or modify         #
+# it under the terms of the GNU General Public License as published by         #
+# the Free Software Foundation, either version 3 of the License, or            #
+# (at your option) any later version.                                          #
+#                                                                              #
+# This program is distributed in the hope that it will be useful,              #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of               #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                #
+# GNU General Public License for more details.                                 #
+#                                                                              #
+# You should have received a copy of the GNU General Public License            #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.        #
+#                                                                              #
+# This research/work was supported by the Cluster of Excellence Cognitive      #
+# Interaction Technology 'CITEC' (EXC 277) at Bielefeld University, which is   #
+# funded by the German Research Foundation (DFG).                              #
+################################################################################
+
+
+
+# path to this directory
+AMIROLLD_LED_V1_DIR := $(dir $(lastword $(MAKEFILE_LIST)))
+
+# include paths
+AMIROLLD_INC += $(AMIROLLD_LED_V1_DIR)
+
+# C source files
+AMIROLLD_CSRC += $(AMIROLLD_LED_V1_DIR)alld_LED.c
diff --git a/drivers/LIS331DLH/v1/alld_LIS331DLH.mk b/drivers/LIS331DLH/v1/alld_LIS331DLH.mk
new file mode 100644
index 0000000..46d9cf8
--- /dev/null
+++ b/drivers/LIS331DLH/v1/alld_LIS331DLH.mk
@@ -0,0 +1,33 @@
+################################################################################
+# AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous  #
+# Mini Robot (AMiRo) platform.                                                 #
+# Copyright (C) 2016..2019  Thomas Schöpping et al.                            #
+#                                                                              #
+# This program is free software: you can redistribute it and/or modify         #
+# it under the terms of the GNU General Public License as published by         #
+# the Free Software Foundation, either version 3 of the License, or            #
+# (at your option) any later version.                                          #
+#                                                                              #
+# This program is distributed in the hope that it will be useful,              #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of               #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                #
+# GNU General Public License for more details.                                 #
+#                                                                              #
+# You should have received a copy of the GNU General Public License            #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.        #
+#                                                                              #
+# This research/work was supported by the Cluster of Excellence Cognitive      #
+# Interaction Technology 'CITEC' (EXC 277) at Bielefeld University, which is   #
+# funded by the German Research Foundation (DFG).                              #
+################################################################################
+
+
+
+# path to this directory
+AMIROLLD_LIS331DLH_V1_DIR := $(dir $(lastword $(MAKEFILE_LIST)))
+
+# include paths
+AMIROLLD_INC += $(AMIROLLD_LIS331DLH_V1_DIR)
+
+# C source files
+AMIROLLD_CSRC += $(AMIROLLD_LIS331DLH_V1_DIR)alld_LIS331DLH.c
diff --git a/drivers/LTC4412/v1/alld_LTC4412.mk b/drivers/LTC4412/v1/alld_LTC4412.mk
new file mode 100644
index 0000000..8f66612
--- /dev/null
+++ b/drivers/LTC4412/v1/alld_LTC4412.mk
@@ -0,0 +1,33 @@
+################################################################################
+# AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous  #
+# Mini Robot (AMiRo) platform.                                                 #
+# Copyright (C) 2016..2019  Thomas Schöpping et al.                            #
+#                                                                              #
+# This program is free software: you can redistribute it and/or modify         #
+# it under the terms of the GNU General Public License as published by         #
+# the Free Software Foundation, either version 3 of the License, or            #
+# (at your option) any later version.                                          #
+#                                                                              #
+# This program is distributed in the hope that it will be useful,              #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of               #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                #
+# GNU General Public License for more details.                                 #
+#                                                                              #
+# You should have received a copy of the GNU General Public License            #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.        #
+#                                                                              #
+# This research/work was supported by the Cluster of Excellence Cognitive      #
+# Interaction Technology 'CITEC' (EXC 277) at Bielefeld University, which is   #
+# funded by the German Research Foundation (DFG).                              #
+################################################################################
+
+
+
+# path to this directory
+AMIROLLD_LTC4412_V1_DIR := $(dir $(lastword $(MAKEFILE_LIST)))
+
+# include paths
+AMIROLLD_INC += $(AMIROLLD_LTC4412_V1_DIR)
+
+# C source files
+AMIROLLD_CSRC += $(AMIROLLD_LTC4412_V1_DIR)alld_LTC4412.c
diff --git a/drivers/MIC9404x/v1/alld_MIC9404x.mk b/drivers/MIC9404x/v1/alld_MIC9404x.mk
new file mode 100644
index 0000000..8b81921
--- /dev/null
+++ b/drivers/MIC9404x/v1/alld_MIC9404x.mk
@@ -0,0 +1,33 @@
+################################################################################
+# AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous  #
+# Mini Robot (AMiRo) platform.                                                 #
+# Copyright (C) 2016..2019  Thomas Schöpping et al.                            #
+#                                                                              #
+# This program is free software: you can redistribute it and/or modify         #
+# it under the terms of the GNU General Public License as published by         #
+# the Free Software Foundation, either version 3 of the License, or            #
+# (at your option) any later version.                                          #
+#                                                                              #
+# This program is distributed in the hope that it will be useful,              #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of               #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                #
+# GNU General Public License for more details.                                 #
+#                                                                              #
+# You should have received a copy of the GNU General Public License            #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.        #
+#                                                                              #
+# This research/work was supported by the Cluster of Excellence Cognitive      #
+# Interaction Technology 'CITEC' (EXC 277) at Bielefeld University, which is   #
+# funded by the German Research Foundation (DFG).                              #
+################################################################################
+
+
+
+# path to this directory
+AMIROLLD_MIC9404x_V1_DIR := $(dir $(lastword $(MAKEFILE_LIST)))
+
+# include paths
+AMIROLLD_INC += $(AMIROLLD_MIC9404x_V1_DIR)
+
+# C source files
+AMIROLLD_CSRC += $(AMIROLLD_MIC9404x_V1_DIR)alld_MIC9404x.c
diff --git a/drivers/MPR121/v1/alld_MPR121.mk b/drivers/MPR121/v1/alld_MPR121.mk
new file mode 100644
index 0000000..de69520
--- /dev/null
+++ b/drivers/MPR121/v1/alld_MPR121.mk
@@ -0,0 +1,33 @@
+################################################################################
+# AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous  #
+# Mini Robot (AMiRo) platform.                                                 #
+# Copyright (C) 2016..2019  Thomas Schöpping et al.                            #
+#                                                                              #
+# This program is free software: you can redistribute it and/or modify         #
+# it under the terms of the GNU General Public License as published by         #
+# the Free Software Foundation, either version 3 of the License, or            #
+# (at your option) any later version.                                          #
+#                                                                              #
+# This program is distributed in the hope that it will be useful,              #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of               #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                #
+# GNU General Public License for more details.                                 #
+#                                                                              #
+# You should have received a copy of the GNU General Public License            #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.        #
+#                                                                              #
+# This research/work was supported by the Cluster of Excellence Cognitive      #
+# Interaction Technology 'CITEC' (EXC 277) at Bielefeld University, which is   #
+# funded by the German Research Foundation (DFG).                              #
+################################################################################
+
+
+
+# path to this directory
+AMIROLLD_MPR121_V1_DIR := $(dir $(lastword $(MAKEFILE_LIST)))
+
+# include paths
+AMIROLLD_INC += $(AMIROLLD_MPR121_V1_DIR)
+
+# C source files
+AMIROLLD_CSRC += $(AMIROLLD_MPR121_V1_DIR)alld_MPR121.c
diff --git a/drivers/MPU6050/v1/alld_MPU6050.mk b/drivers/MPU6050/v1/alld_MPU6050.mk
new file mode 100644
index 0000000..5e7062c
--- /dev/null
+++ b/drivers/MPU6050/v1/alld_MPU6050.mk
@@ -0,0 +1,33 @@
+################################################################################
+# AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous  #
+# Mini Robot (AMiRo) platform.                                                 #
+# Copyright (C) 2016..2019  Thomas Schöpping et al.                            #
+#                                                                              #
+# This program is free software: you can redistribute it and/or modify         #
+# it under the terms of the GNU General Public License as published by         #
+# the Free Software Foundation, either version 3 of the License, or            #
+# (at your option) any later version.                                          #
+#                                                                              #
+# This program is distributed in the hope that it will be useful,              #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of               #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                #
+# GNU General Public License for more details.                                 #
+#                                                                              #
+# You should have received a copy of the GNU General Public License            #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.        #
+#                                                                              #
+# This research/work was supported by the Cluster of Excellence Cognitive      #
+# Interaction Technology 'CITEC' (EXC 277) at Bielefeld University, which is   #
+# funded by the German Research Foundation (DFG).                              #
+################################################################################
+
+
+
+# path to this directory
+AMIROLLD_MPU6050_V1_DIR := $(dir $(lastword $(MAKEFILE_LIST)))
+
+# include paths
+AMIROLLD_INC += $(AMIROLLD_MPU6050_V1_DIR)
+
+# C source files
+AMIROLLD_CSRC += $(AMIROLLD_MPU6050_V1_DIR)alld_MPU6050.c
diff --git a/drivers/PCA9544A/v1/alld_PCA9544A.mk b/drivers/PCA9544A/v1/alld_PCA9544A.mk
new file mode 100644
index 0000000..a137829
--- /dev/null
+++ b/drivers/PCA9544A/v1/alld_PCA9544A.mk
@@ -0,0 +1,33 @@
+################################################################################
+# AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous  #
+# Mini Robot (AMiRo) platform.                                                 #
+# Copyright (C) 2016..2019  Thomas Schöpping et al.                            #
+#                                                                              #
+# This program is free software: you can redistribute it and/or modify         #
+# it under the terms of the GNU General Public License as published by         #
+# the Free Software Foundation, either version 3 of the License, or            #
+# (at your option) any later version.                                          #
+#                                                                              #
+# This program is distributed in the hope that it will be useful,              #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of               #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                #
+# GNU General Public License for more details.                                 #
+#                                                                              #
+# You should have received a copy of the GNU General Public License            #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.        #
+#                                                                              #
+# This research/work was supported by the Cluster of Excellence Cognitive      #
+# Interaction Technology 'CITEC' (EXC 277) at Bielefeld University, which is   #
+# funded by the German Research Foundation (DFG).                              #
+################################################################################
+
+
+
+# path to this directory
+AMIROLLD_PCA9544A_V1_DIR := $(dir $(lastword $(MAKEFILE_LIST)))
+
+# include paths
+AMIROLLD_INC += $(AMIROLLD_PCA9544A_V1_DIR)
+
+# C source files
+AMIROLLD_CSRC += $(AMIROLLD_PCA9544A_V1_DIR)alld_PCA9544A.c
diff --git a/drivers/PCAL6524/v1/alld_PCAL6524.mk b/drivers/PCAL6524/v1/alld_PCAL6524.mk
new file mode 100644
index 0000000..7aeae55
--- /dev/null
+++ b/drivers/PCAL6524/v1/alld_PCAL6524.mk
@@ -0,0 +1,33 @@
+################################################################################
+# AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous  #
+# Mini Robot (AMiRo) platform.                                                 #
+# Copyright (C) 2016..2019  Thomas Schöpping et al.                            #
+#                                                                              #
+# This program is free software: you can redistribute it and/or modify         #
+# it under the terms of the GNU General Public License as published by         #
+# the Free Software Foundation, either version 3 of the License, or            #
+# (at your option) any later version.                                          #
+#                                                                              #
+# This program is distributed in the hope that it will be useful,              #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of               #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                #
+# GNU General Public License for more details.                                 #
+#                                                                              #
+# You should have received a copy of the GNU General Public License            #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.        #
+#                                                                              #
+# This research/work was supported by the Cluster of Excellence Cognitive      #
+# Interaction Technology 'CITEC' (EXC 277) at Bielefeld University, which is   #
+# funded by the German Research Foundation (DFG).                              #
+################################################################################
+
+
+
+# path to this directory
+AMIROLLD_PCAL6524_V1_DIR := $(dir $(lastword $(MAKEFILE_LIST)))
+
+# include paths
+AMIROLLD_INC += $(AMIROLLD_PCAL6524_V1_DIR)
+
+# C source files
+AMIROLLD_CSRC += $(AMIROLLD_PCAL6524_V1_DIR)alld_PCAL6524.c
diff --git a/drivers/PKxxxExxx/v1/alld_PKxxxExxx.mk b/drivers/PKxxxExxx/v1/alld_PKxxxExxx.mk
new file mode 100644
index 0000000..5e5e8f4
--- /dev/null
+++ b/drivers/PKxxxExxx/v1/alld_PKxxxExxx.mk
@@ -0,0 +1,33 @@
+################################################################################
+# AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous  #
+# Mini Robot (AMiRo) platform.                                                 #
+# Copyright (C) 2016..2019  Thomas Schöpping et al.                            #
+#                                                                              #
+# This program is free software: you can redistribute it and/or modify         #
+# it under the terms of the GNU General Public License as published by         #
+# the Free Software Foundation, either version 3 of the License, or            #
+# (at your option) any later version.                                          #
+#                                                                              #
+# This program is distributed in the hope that it will be useful,              #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of               #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                #
+# GNU General Public License for more details.                                 #
+#                                                                              #
+# You should have received a copy of the GNU General Public License            #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.        #
+#                                                                              #
+# This research/work was supported by the Cluster of Excellence Cognitive      #
+# Interaction Technology 'CITEC' (EXC 277) at Bielefeld University, which is   #
+# funded by the German Research Foundation (DFG).                              #
+################################################################################
+
+
+
+# path to this directory
+AMIROLLD_PKxxxExxx_V1_DIR := $(dir $(lastword $(MAKEFILE_LIST)))
+
+# include paths
+AMIROLLD_INC += $(AMIROLLD_PKxxxExxx_V1_DIR)
+
+# C source files
+AMIROLLD_CSRC += $(AMIROLLD_PKxxxExxx_V1_DIR)alld_PKxxxExxx.c
diff --git a/drivers/TLC5947/v1/alld_TLC5947.mk b/drivers/TLC5947/v1/alld_TLC5947.mk
new file mode 100644
index 0000000..f52595e
--- /dev/null
+++ b/drivers/TLC5947/v1/alld_TLC5947.mk
@@ -0,0 +1,33 @@
+################################################################################
+# AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous  #
+# Mini Robot (AMiRo) platform.                                                 #
+# Copyright (C) 2016..2019  Thomas Schöpping et al.                            #
+#                                                                              #
+# This program is free software: you can redistribute it and/or modify         #
+# it under the terms of the GNU General Public License as published by         #
+# the Free Software Foundation, either version 3 of the License, or            #
+# (at your option) any later version.                                          #
+#                                                                              #
+# This program is distributed in the hope that it will be useful,              #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of               #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                #
+# GNU General Public License for more details.                                 #
+#                                                                              #
+# You should have received a copy of the GNU General Public License            #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.        #
+#                                                                              #
+# This research/work was supported by the Cluster of Excellence Cognitive      #
+# Interaction Technology 'CITEC' (EXC 277) at Bielefeld University, which is   #
+# funded by the German Research Foundation (DFG).                              #
+################################################################################
+
+
+
+# path to this directory
+AMIROLLD_TLC5947_V1_DIR := $(dir $(lastword $(MAKEFILE_LIST)))
+
+# include paths
+AMIROLLD_INC += $(AMIROLLD_TLC5947_V1_DIR)
+
+# C source files
+AMIROLLD_CSRC += $(AMIROLLD_TLC5947_V1_DIR)alld_TLC5947.c
diff --git a/drivers/TPS20xxB/v1/alld_TPS20xxB.mk b/drivers/TPS20xxB/v1/alld_TPS20xxB.mk
new file mode 100644
index 0000000..6029c0b
--- /dev/null
+++ b/drivers/TPS20xxB/v1/alld_TPS20xxB.mk
@@ -0,0 +1,33 @@
+################################################################################
+# AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous  #
+# Mini Robot (AMiRo) platform.                                                 #
+# Copyright (C) 2016..2019  Thomas Schöpping et al.                            #
+#                                                                              #
+# This program is free software: you can redistribute it and/or modify         #
+# it under the terms of the GNU General Public License as published by         #
+# the Free Software Foundation, either version 3 of the License, or            #
+# (at your option) any later version.                                          #
+#                                                                              #
+# This program is distributed in the hope that it will be useful,              #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of               #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                #
+# GNU General Public License for more details.                                 #
+#                                                                              #
+# You should have received a copy of the GNU General Public License            #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.        #
+#                                                                              #
+# This research/work was supported by the Cluster of Excellence Cognitive      #
+# Interaction Technology 'CITEC' (EXC 277) at Bielefeld University, which is   #
+# funded by the German Research Foundation (DFG).                              #
+################################################################################
+
+
+
+# path to this directory
+AMIROLLD_TPS20xxB_V2_DIR := $(dir $(lastword $(MAKEFILE_LIST)))
+
+# include paths
+AMIROLLD_INC += $(AMIROLLD_TPS20xxB_V2_DIR)
+
+# C source files
+AMIROLLD_CSRC += $(AMIROLLD_TPS20xxB_V2_DIR)alld_TPS20xxB.c
diff --git a/drivers/TPS6211x/v1/alld_TPS6211x.mk b/drivers/TPS6211x/v1/alld_TPS6211x.mk
new file mode 100644
index 0000000..855aec8
--- /dev/null
+++ b/drivers/TPS6211x/v1/alld_TPS6211x.mk
@@ -0,0 +1,33 @@
+################################################################################
+# AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous  #
+# Mini Robot (AMiRo) platform.                                                 #
+# Copyright (C) 2016..2019  Thomas Schöpping et al.                            #
+#                                                                              #
+# This program is free software: you can redistribute it and/or modify         #
+# it under the terms of the GNU General Public License as published by         #
+# the Free Software Foundation, either version 3 of the License, or            #
+# (at your option) any later version.                                          #
+#                                                                              #
+# This program is distributed in the hope that it will be useful,              #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of               #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                #
+# GNU General Public License for more details.                                 #
+#                                                                              #
+# You should have received a copy of the GNU General Public License            #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.        #
+#                                                                              #
+# This research/work was supported by the Cluster of Excellence Cognitive      #
+# Interaction Technology 'CITEC' (EXC 277) at Bielefeld University, which is   #
+# funded by the German Research Foundation (DFG).                              #
+################################################################################
+
+
+
+# path to this directory
+AMIROLLD_TPS6211x_V1_DIR := $(dir $(lastword $(MAKEFILE_LIST)))
+
+# include paths
+AMIROLLD_INC += $(AMIROLLD_TPS6211x_V1_DIR)
+
+# C source files
+AMIROLLD_CSRC += $(AMIROLLD_TPS6211x_V1_DIR)alld_TPS6211x.c
diff --git a/drivers/VCNL4020/v1/alld_VCNL4020.mk b/drivers/VCNL4020/v1/alld_VCNL4020.mk
new file mode 100644
index 0000000..645d03f
--- /dev/null
+++ b/drivers/VCNL4020/v1/alld_VCNL4020.mk
@@ -0,0 +1,33 @@
+################################################################################
+# AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous  #
+# Mini Robot (AMiRo) platform.                                                 #
+# Copyright (C) 2016..2019  Thomas Schöpping et al.                            #
+#                                                                              #
+# This program is free software: you can redistribute it and/or modify         #
+# it under the terms of the GNU General Public License as published by         #
+# the Free Software Foundation, either version 3 of the License, or            #
+# (at your option) any later version.                                          #
+#                                                                              #
+# This program is distributed in the hope that it will be useful,              #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of               #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                #
+# GNU General Public License for more details.                                 #
+#                                                                              #
+# You should have received a copy of the GNU General Public License            #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.        #
+#                                                                              #
+# This research/work was supported by the Cluster of Excellence Cognitive      #
+# Interaction Technology 'CITEC' (EXC 277) at Bielefeld University, which is   #
+# funded by the German Research Foundation (DFG).                              #
+################################################################################
+
+
+
+# path to this directory
+AMIROLLD_VCNL4020_V1_DIR := $(dir $(lastword $(MAKEFILE_LIST)))
+
+# include paths
+AMIROLLD_INC += $(AMIROLLD_VCNL4020_V1_DIR)
+
+# C source files
+AMIROLLD_CSRC += $(AMIROLLD_VCNL4020_V1_DIR)alld_VCNL4020.c
diff --git a/drivers/bq241xx/v1/alld_bq241xx.mk b/drivers/bq241xx/v1/alld_bq241xx.mk
new file mode 100644
index 0000000..bca2764
--- /dev/null
+++ b/drivers/bq241xx/v1/alld_bq241xx.mk
@@ -0,0 +1,33 @@
+################################################################################
+# AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous  #
+# Mini Robot (AMiRo) platform.                                                 #
+# Copyright (C) 2016..2019  Thomas Schöpping et al.                            #
+#                                                                              #
+# This program is free software: you can redistribute it and/or modify         #
+# it under the terms of the GNU General Public License as published by         #
+# the Free Software Foundation, either version 3 of the License, or            #
+# (at your option) any later version.                                          #
+#                                                                              #
+# This program is distributed in the hope that it will be useful,              #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of               #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                #
+# GNU General Public License for more details.                                 #
+#                                                                              #
+# You should have received a copy of the GNU General Public License            #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.        #
+#                                                                              #
+# This research/work was supported by the Cluster of Excellence Cognitive      #
+# Interaction Technology 'CITEC' (EXC 277) at Bielefeld University, which is   #
+# funded by the German Research Foundation (DFG).                              #
+################################################################################
+
+
+
+# path to this directory
+AMIROLLD_bq241xx_V1_DIR := $(dir $(lastword $(MAKEFILE_LIST)))
+
+# include paths
+AMIROLLD_INC += $(AMIROLLD_bq241xx_V1_DIR)
+
+# C source files
+AMIROLLD_CSRC += $(AMIROLLD_bq241xx_V1_DIR)alld_bq241xx.c
diff --git a/drivers/bq27500/v1/alld_bq27500.mk b/drivers/bq27500/v1/alld_bq27500.mk
new file mode 100644
index 0000000..9048b3f
--- /dev/null
+++ b/drivers/bq27500/v1/alld_bq27500.mk
@@ -0,0 +1,33 @@
+################################################################################
+# AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous  #
+# Mini Robot (AMiRo) platform.                                                 #
+# Copyright (C) 2016..2019  Thomas Schöpping et al.                            #
+#                                                                              #
+# This program is free software: you can redistribute it and/or modify         #
+# it under the terms of the GNU General Public License as published by         #
+# the Free Software Foundation, either version 3 of the License, or            #
+# (at your option) any later version.                                          #
+#                                                                              #
+# This program is distributed in the hope that it will be useful,              #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of               #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                #
+# GNU General Public License for more details.                                 #
+#                                                                              #
+# You should have received a copy of the GNU General Public License            #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.        #
+#                                                                              #
+# This research/work was supported by the Cluster of Excellence Cognitive      #
+# Interaction Technology 'CITEC' (EXC 277) at Bielefeld University, which is   #
+# funded by the German Research Foundation (DFG).                              #
+################################################################################
+
+
+
+# path to this directory
+AMIROLLD_bq27500_V1_DIR := $(dir $(lastword $(MAKEFILE_LIST)))
+
+# include paths
+AMIROLLD_INC += $(AMIROLLD_bq27500_V1_DIR)
+
+# C source files
+AMIROLLD_CSRC += $(AMIROLLD_bq27500_V1_DIR)alld_bq27500.c
diff --git a/drivers/button/v1/alld_button.mk b/drivers/button/v1/alld_button.mk
new file mode 100644
index 0000000..7c7e1cc
--- /dev/null
+++ b/drivers/button/v1/alld_button.mk
@@ -0,0 +1,33 @@
+################################################################################
+# AMiRo-LLD is a compilation of low-level hardware drivers for the Autonomous  #
+# Mini Robot (AMiRo) platform.                                                 #
+# Copyright (C) 2016..2019  Thomas Schöpping et al.                            #
+#                                                                              #
+# This program is free software: you can redistribute it and/or modify         #
+# it under the terms of the GNU General Public License as published by         #
+# the Free Software Foundation, either version 3 of the License, or            #
+# (at your option) any later version.                                          #
+#                                                                              #
+# This program is distributed in the hope that it will be useful,              #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of               #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                #
+# GNU General Public License for more details.                                 #
+#                                                                              #
+# You should have received a copy of the GNU General Public License            #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.        #
+#                                                                              #
+# This research/work was supported by the Cluster of Excellence Cognitive      #
+# Interaction Technology 'CITEC' (EXC 277) at Bielefeld University, which is   #
+# funded by the German Research Foundation (DFG).                              #
+################################################################################
+
+
+
+# path to this directory
+AMIROLLD_button_V1_DIR := $(dir $(lastword $(MAKEFILE_LIST)))
+
+# include paths
+AMIROLLD_INC += $(AMIROLLD_button_V1_DIR)
+
+# C source files
+AMIROLLD_CSRC += $(AMIROLLD_button_V1_DIR)alld_button.c
